from itertools import combinations

def ccw(A,B,C):
    return (C[1]-A[1]) * (B[0]-A[0]) > (B[1]-A[1]) * (C[0]-A[0])

# Return true if line segments AB and CD intersect
def intersect(A,B,C,D):
    return ccw(A,C,D) != ccw(B,C,D) and ccw(A,B,C) != ccw(A,B,D)

class Triangle:
    def __init__(self,a,b,c):
        self.a = tuple(a)
        self.b = tuple(b)
        self.c = tuple(c)
        return 

    def __abs__(self):
        s = 1/2*(self.a[0]*(self.b[1] - self.c[1]) + self.b[0]*(self.c[1]-self.a[1]) + self.c[0]*(self.a[1]-self.b[1]))
        return abs(s) if s != 0 else 0
    def __bool__(self):
        return abs(self) != 0
    def __lt__(self, other):
        return abs(self) < abs(other)
        
    def __contains__(self, item):
        if not(bool(item) and bool(self)):
            return True
        for el in [item.a, item.b, item.c]:
            if abs(Triangle(self.a, self.b, el)) + abs(Triangle(self.a, el, self.c)) + abs(Triangle(el, self.b, self.c)) != abs(self):
                return False
        return True
    def __and__(self, item):
        '''
            True if Triangles have 
            a piont belonging to 
            both of them
        '''
        if not(bool(item) and bool(self)):
            return False
        for el in [[*i, *j]for j in combinations([item.a, item.b, item.c],2) for i in combinations([self.a, self.b, self.c],2)]:
            if intersect(*el):
                return True
        return False
# r = Triangle((4, 2), (1, 3), (2, 4))
# s = Triangle((1, 1), (3, 1), (2, 2))
# t = Triangle((0, 0), (2, 3), (4, 0))
# o = Triangle((1, 1), (2, 2), (3, 3))
# print(*(f"{n}({bool(x)}):{round(abs(x), 3)}" for n, x in zip("rsto", (r, s, t, o))))
# print(f"{s < t=}, {o < t=}, {r < t=}, {r < s=}")
# print(f"{s in t=}, {o in t=}, {r in t=}")
# print(f"{r & t=}, {t & r=}, {s & r=}, {o & t=}")
import sys
exec(sys.stdin.read())