class Grange:
    def __init__(self, b0, q, bn):
        self.b0 = b0
        self.q = q
        self.bn = bn
    def __str__(self):
        return f'grange({self.b0}, {self.q}, {self.bn})'
    def __repr__(self):
        return str(self)
    def __iter__(self):
        b = self.b0
        while b < self.bn:
            yield b
            b*=self.q
    def __len__(self):
        i = iter(self)
        c = 0
        try:
            while True:
                next(i)
                c+=1
        except:
            pass
        return c
    def __bool__(self):
        return True if len(self) else False
    def __getitem__(self, i):
        if type(i) == int:
            return self.b0*self.q**i
        if type(i) == slice:
            if i.step == None:
                s = 1
            else:
                s = i.step

            if i.stop:
                return Grange(i.start, self.q**s, i.stop)
            return Grange(i.start, self.q**s, self.bn)
    
        
               
f, g, h = Grange(1, 2, 1048575), Grange(1, 2, 1048576), Grange(1, 2, 1048577)
o, e = Grange(1, 2, 1), Grange(100, 10, 200)
print(f"{f=}, {g=}, {h=}")
print(f"{list(o)}({not(o)}), {list(e)}({not(e)})")
print(f"{len(f)=}, {len(g)=}, {len(h)=}")
print(f"{len(list(f))=}, {len(list(g))=}, {len(list(h))=}")
print(f"{f[0]=}, {h[24]=}")
a, b = f[3:32767], h[3:32767:2]
print(f"{a=}, {a[5]=}")
print(f"{b=}, {b[5]=}, {list(b)=}") 
