import asyncio
def cout (fun, *args, ** fargs):
    async def f(*args, **fargs):
        print(f"{fun.__name__}")


async def prod(queue):

    for i in range(5):
        
        await queue.put(f'value_{i}')
        print(f"prod> put value_{i} to q1")
        await asyncio.sleep(1)
        i+=1
    await queue.put('Kill')
    
async def mid(queue1, queue2):
    while True:
        item = await queue1.get()
        print(f"mid> got {item} from q1")
        await queue2.put(item)
        print(f"mid> put {item} to q2")
        if item == 'Kill':
            return

async def cons(queue):
    while True:
        item = await queue.get()
        print(f"cons> got {item} from q1")
        if item == 'Kill':
            return
async def main():
    q1 = asyncio.Queue()
    q2 = asyncio.Queue()
    await asyncio.gather(
        prod(q1),
        mid(q1, q2),
        cons(q2)
    )
    
asyncio.run(main())