import asyncio

async def writer(queue, delay):
    count = 0
    while True:
        await asyncio.sleep(delay)
        await queue.put(f"{count}_{int(delay)}")
        count += 1

async def stacker(queue, stack):
    while True:
        item = await queue.get()
        await stack.put(item)

async def reader(stack, count, delay, event):
    k = 0
    while k != count:
        await asyncio.sleep(delay)
        value = await stack.get()
        print(f"{value}")
        k+=1

    event.set()

async def main():
    delay1, delay2, delay3, count = map(float, input().split(','))

    queue = asyncio.Queue()
    stack = asyncio.LifoQueue()

    event = asyncio.Event()

    writer1_task = asyncio.create_task(writer(queue, delay1))
    writer2_task = asyncio.create_task(writer(queue, delay2))
    stacker_task = asyncio.create_task(stacker(queue, stack))
    reader_task = asyncio.create_task(reader(stack, count, delay3, event))

    await event.wait()  
    writer1_task.cancel()
    writer2_task.cancel()
    stacker_task.cancel()
    reader_task.cancel()

if __name__ == "__main__":
    asyncio.run(main())
