:set number
:set autoindent
:set tabstop=4
:set shiftwidth=4
:set smarttab
:set softtabstop=4
:set mouse=a

call plug#begin(has('nvim') ? stdpath('data') . '/plugged' : '~/.vim/plugged')
Plug 'vim-airline/vim-airline'
Plug 'vim-airline/vim-airline-themes'
Plug 'preservim/nerdtree'
Plug 'tpope/vim-fugitive'
Plug 'vim-syntastic/syntastic'
Plug 'neoclide/coc.nvim', {'branch': 'master', 'do': 'yarn install --frozen-lockfile'}
Plug 'preservim/tagbar'
Plug 'Mofiqul/vscode.nvim'
Plug 'bluz71/vim-nightfly-colors', { 'as': 'nightfly' }
Plug 'NLKNguyen/papercolor-theme'
Plug 'xiyaowong/transparent.nvim'
Plug 'mfussenegger/nvim-lint'
Plug 'ray-x/aurora'
Plug 'ryanoasis/vim-devicons'
Plug 'tpope/vim-surround'
Plug 'nvim-lua/plenary.nvim'
Plug 'nvim-telescope/telescope.nvim', { 'tag': '0.1.4' }

Plug 'nvim-treesitter/nvim-treesitter'
Plug 'mfussenegger/nvim-dap'
Plug 'rcarriga/nvim-dap-ui'
Plug 'leoluz/nvim-dap-go'
Plug 'nvim-telescope/telescope-dap.nvim'
Plug 'theHamsta/nvim-dap-virtual-text'



Plug 'meatballs/notebook.nvim'
Plug 'mfussenegger/nvim-dap-python'
call plug#end()
let g:airline#extensions#tabline#enabled = 1
nnoremap <leader>n :NERDTreeFocus<CR>
nnoremap <C-n> :NERDTree<CR>
nnoremap <C-o> :NERDTreeToggle<CR>
nnoremap <C-f> :NERDTreeFind<CR>





:nnoremap <leader>e dd

lua require('dap.ext.vscode').load_launchjs(nil, {})


nmap <F8> :TagbarToggle<CR>
let g:copilot_no_tab_map = v:true
inoremap <silent><expr> <TAB> coc#pum#visible() ? coc#pum#confirm() : "\<C-g>u\<TAB>"
:set completeopt-=preview
set encoding=UTF-8
set termguicolors
let g:aurora_transparent = 1
colorscheme aurora
set guifont=Ububtu\ Mono\ derivative\ Powerline:h120
